PETSc version 3.15.5
Fix/Edit manual page

# AOMappingHasApplicationIndex

Searches for the supplied application index.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOMappingHasApplicationIndex(AO ao, PetscInt idex, PetscBool  *hasIndex)

### Input Parameters

| ao | - The AOMapping
| index | - The application index

### Output Parameter

| hasIndex | - Flag is PETSC_TRUE if the index exists

### See Also

AOMappingHasPetscIndex(), AOCreateMapping()

### Level

intermediate

### Location

src/vec/is/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages